Subject: bug#10170: 24.0.91; scroll-conservatively in a c-mode buffer

From: Dani Moncayo <[email-masked]>
Date: Wed, 7 Dec 2011 16:04:20 +0100

> 1. Eval: (setq scroll-conservatively 101)
> 2. Eval: (setq scroll-margin 1)
> 3. Eval: (custom-set-faces '(mode-line ((t (:box (:line-width 1))))))
> 4. Visit the attached file (c-mode should be activated automatically).
> 5. Type: `C-s p'
>
> The point jumps to line "/*p1*/" but an instant later the buffer is
> scrolled vertically by 1 line.  This last scrolling should be avoided,
> i.e., the buffer should be displayed in the right position without
> having to correct its location afterwards.

Ping.

I experience this bug everyday, while editing C files.  It would be
sad to release Emacs 24 with this bug.

-- 
Dani Moncayo